// ProjectDetailDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mapeditor.h"
#include "ProjectDetailDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProjectDetailDlg dialog


CProjectDetailDlg::CProjectDetailDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CProjectDetailDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProjectDetailDlg)
	m_editFieldIP = _T("");
	m_editFieldPort = 0;
	m_editFieldPortUDP = 0;
	m_editHeightMax = 0.0f;
	m_editHeightMin = 0.0f;
	m_editMapName = _T("");
	m_editNPCIP = _T("");
	m_editNPCPortUDP = 0;
	m_editNPCPort = 0;
	m_editTileSetIndex = 0;
	m_editWaterHeight = 0.0f;
	m_editXSize = 0;
	m_editYSize = 0;
	//}}AFX_DATA_INIT
}


void CProjectDetailDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProjectDetailDlg)
	DDX_Text(pDX, IDC_EDIT_FIELDIP, m_editFieldIP);
	DDX_Text(pDX, IDC_EDIT_FIELDPORT, m_editFieldPort);
	DDX_Text(pDX, IDC_EDIT_FIELDPORT3, m_editFieldPortUDP);
	DDX_Text(pDX, IDC_EDIT_HEIGHTMAX, m_editHeightMax);
	DDX_Text(pDX, IDC_EDIT_HEIGHTMIN, m_editHeightMin);
	DDX_Text(pDX, IDC_EDIT_MAPNAME, m_editMapName);
	DDX_Text(pDX, IDC_EDIT_NPCIP, m_editNPCIP);
	DDX_Text(pDX, IDC_EDIT_NPCPORT3, m_editNPCPortUDP);
	DDX_Text(pDX, IDC_EDIT_NPCPORT, m_editNPCPort);
	DDX_Text(pDX, IDC_EDIT_TILESETINDEX, m_editTileSetIndex);
	DDX_Text(pDX, IDC_EDIT_WATERHEIGHT, m_editWaterHeight);
	DDX_Text(pDX, IDC_EDIT_X, m_editXSize);
	DDX_Text(pDX, IDC_EDIT_Y, m_editYSize);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProjectDetailDlg, CDialog)
	//{{AFX_MSG_MAP(CProjectDetailDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProjectDetailDlg message handlers
